import { FlexibleContainer } from './flexible-container';
export declare class ShiftSlider {
    components: (() => Node)[];
    activeIndex: number;
    el: HTMLElement;
    flexibleContainerRef: FlexibleContainer;
    private ChildUpdatesActionTimeout;
    componentDidLoad(): Promise<void>;
    onActiveIndexChange(newActiveIndex: number): Promise<void>;
    render(): any;
}
